qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew Stitcher <astitc...@redhat.com>
Subject Re: Building client - missing cmake files
Date Mon, 25 Apr 2016 14:06:43 GMT
On Mon, 2016-04-25 at 10:36 +0200, Tomáš Šoltys wrote:
> Thanks Andrew,
> 
> Based on https://qpid.apache.org/packages.html I have found package
> libqpidmessaging2-dev in Ubuntu repositories. This package contains
> following files:
> 
> /usr/include/qpid/messaging/Address.h
> /usr/include/qpid/messaging/Connection.h
> /usr/include/qpid/messaging/Duration.h
> /usr/include/qpid/messaging/FailoverUpdates.h
> /usr/include/qpid/messaging/Handle.h
> /usr/include/qpid/messaging/ImportExport.h
> /usr/include/qpid/messaging/Message.h
> /usr/include/qpid/messaging/Receiver.h
> /usr/include/qpid/messaging/Sender.h
> /usr/include/qpid/messaging/Session.h
> /usr/include/qpid/messaging/exceptions.h
> /usr/lib/x86_64-linux-gnu/libqpidmessaging.so
> /usr/share/doc/libqpidmessaging2-dev/changelog.Debian.gz
> /usr/share/doc/libqpidmessaging2-dev/copyright
> 
> Unfortunately there are no .cmake nor .pc files. Is this intended?

I can't speak for the intention (as I'm not the packager) but I can say
that is not a useful dev package.

I checked the Ubuntu packages and it seems that the current libqpid-
messaging package is the 0.16 version - that is an extremely old
version of qpid.

I suggest you try adding the qpid PPA (ppa:qpid/released) to your
software sources instead. That should give you a much newer version of
qpid (0.34).

Andrew


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@qpid.apache.org
For additional commands, e-mail: users-help@qpid.apache.org


Mime
View raw message